be.fgov.ehealth.mycarenet.commons.core.v4

## Class ActorType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType
  - - be.fgov.ehealth.mycarenet.commons.core.v4.ActorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:41:54+02:00",
                 comments="JAXB RI v2.2.11")
      public class ActorType
      extends SubjectType
      implements Serializable

  Java class for ActorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActorType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}SubjectType">
             <attribute name="Role" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRole()` Gets the value of the role property.
    `void` | `setRole(String value)` Sets the value of the role property.

    - ### Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType

      `getAttributes, getIdentifiers, getSubType, getType, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActorType

          public ActorType()

  - ### Method Detail

    - #### getRole

          public String getRole()

      Gets the value of the role property.
      Returns:
        possible object is `String`

    - #### setRole

          public void setRole(String value)

      Sets the value of the role property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.